/*

  Player class file

*/

#include "Player.h"

using namespace std;

Player::Player(){
	playername = new char[20];
	inUse = false;
	playerstate = 0;
}

void Player::setClientID(int i){
	clientID = i;
}

void Player::setPlayerID(int i){
	playerID = i;
}

void Player::setPlayerAddress(sockaddr s) {
	playeraddress = s;
}

void Player::setPlayerTeamID(int id){
	teamID = id;
}

void Player::setPlayerName(char *n){
	strcpy(playername, n);
}

void Player::setPlayerPosition(int p){
	position = p;
}

int Player::getClientID(){
	return clientID;
}

int Player::getPlayerID(){
	return playerID;
}

sockaddr Player::getPlayerAddress(){
	return playeraddress;
}

int Player::getPlayerTeamID(){
	return teamID;
}

char *Player::getPlayerName(){
	return playername;
}

int Player::getPlayerPosition(){
	return position;
}